package com.base.api.client;

import com.base.api.model.SatelliteAppendixRpcDTO;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

import java.util.List;

@FeignClient(name = "orbit-base-biz", contextId = "appendix")
public interface SatelliteAppendixRpcService {

    @PostMapping("/rpc/appendix/getList")
    List<SatelliteAppendixRpcDTO> getList(@RequestBody List<String> satelliteCode);

    @PostMapping("/rpc/appendix/update/add")
    void updateAdd();

    @PostMapping("/rpc/appendix/save")
    void save();

    @PostMapping("/rpc/appendix/remove")
    void remove(String id);
}
